Texa DeskDevelopers

Texa Desk Application API · Conversations

Update Conversation

PATCH/api/v1/accounts/{account_id}/conversations/{conversation_id}

Update Conversation Attributes

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

conversation_idintegerrequired

The numeric ID of the conversation

Body application/json

prioritystring

The priority of the conversation. Set to null to clear the priority. One of: urgent, high, medium, low.

sla_policy_idnumber

The ID of the SLA policy (Available only in Enterprise edition)

Responses

200

Success

idnumber

ID of the conversation

messagesarray of object
messages[].idnumber

The ID of the message

messages[].contentstring

The text content of the message

messages[].account_idnumber

The ID of the account

messages[].inbox_idnumber

The ID of the inbox

messages[].conversation_idnumber

The ID of the conversation

messages[].message_typeinteger

The type of the message One of: 0, 1, 2, 3.

messages[].created_atinteger

The time at which message was created

messages[].updated_atinteger or string

The time at which message was updated

messages[].privateboolean

The flags which shows whether the message is private or not

messages[].statusstring

The status of the message One of: sent, delivered, read, failed.

messages[].source_idstring

The source ID of the message

messages[].content_typestring

The type of the template message One of: text, input_text, input_textarea, input_email, input_select, cards, form, article, incoming_email, input_csat, integrations, sticker, voice_call.

messages[].content_attributesobject

The content attributes for each content_type

messages[].sender_typestring

The type of the sender One of: Contact, User, AgentBot.

messages[].sender_idnumber

The ID of the sender

messages[].external_source_idsobject

The external source IDs of the message

messages[].additional_attributesobject

The additional attributes of the message

messages[].processed_message_contentstring

The processed message content

messages[].sentimentobject

The sentiment of the message

messages[].conversationobject

The conversation object

messages[].attachmentobject

The file object attached to the image

messages[].senderobject

User/Agent/AgentBot object

account_idnumber

Account Id

uuidstring

UUID of the conversation

additional_attributesobject

The object containing additional attributes related to the conversation

agent_last_seen_atnumber

The last activity at of the agent

assignee_last_seen_atnumber

The last activity at of the assignee

can_replyboolean

Whether the conversation can be replied to

contact_last_seen_atnumber

The last activity at of the contact

custom_attributesobject

The object to save custom attributes for conversation, accepts custom attributes key and value

inbox_idnumber

ID of the inbox

labelsarray of string

The labels of the conversation

mutedboolean

Whether the conversation is muted

snoozed_untilnumber

The time at which the conversation will be unmuted

statusstring

The status of the conversation One of: open, resolved, pending.

created_atnumber

The time at which conversation was created

updated_atnumber

The time at which conversation was updated

timestampnumber

The time at which conversation was created

first_reply_created_atnumber

The time at which the first reply was created

unread_countnumber

The number of unread messages

last_non_activity_messageobject or null

The last non activity message

last_activity_atnumber

The last activity at of the conversation

prioritystring

The priority of the conversation

waiting_sincenumber

The time at which the conversation was waiting

sla_policy_idnumber

The ID of the SLA policy

applied_slaobject

The applied SLA

sla_eventsarray of object
401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

Conversation not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
422

Validation error

errorstringrequired